Package org.linphone.core

# Interface Dictionary

public interface Dictionary
Object that represents key-value pair container.

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Clears the dictionary.
`Dictionary`
`clone()`
Instantiates a new dictionary with values from source.
`Buffer`
`getBuffer(String key)`
Gets the LinphoneBuffer value of a key.
`float`
`getFloat(String key)`
Gets the float value of a key.
`int`
`getInt(String key)`
Gets the int value of a key.
`int`
`getInt64(String key)`
Gets the int64 value of a key.
`String[]`
`getKeys()`
Returns the list of keys present in the dictionary.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`String`
`getString(String key)`
Gets the char* value of a key.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`int`
`hasKey(String key)`
Search if the key is present in the dictionary.
`int`
`remove(String key)`
Removes the pair of the key.
`void`
`setBuffer(String key, Buffer value)`
Sets a LinphoneBuffer value to a key.
`void`
`setFloat(String key, float value)`
Sets a float value to a key.
`void`
`setInt(String key, int value)`
Sets a int value to a key.
`void`
`setInt64(String key, int value)`
Sets a int64 value to a key.
`void`
`setString(String key, String value)`
Sets a char* value to a key.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getKeys

String[] getKeys()
Returns the list of keys present in the dictionary.

Returns:
  the A list of const char * objects. of keys inside the dictionary.

### clear

void clear()
Clears the dictionary.

### clone

Dictionary clone()
Instantiates a new dictionary with values from source.

Returns:
  The newly created `Dictionary` object.

### getBuffer

Buffer getBuffer(String key)
Gets the LinphoneBuffer value of a key.

Parameters:
  `key` - The key.
Returns:
  The value.

### getFloat

float getFloat(String key)
Gets the float value of a key.

Parameters:
  `key` - The key.
Returns:
  The value.

### getInt

int getInt(String key)
Gets the int value of a key.

Parameters:
  `key` - The key.
Returns:
  The value.

### getInt64

int getInt64(String key)
Gets the int64 value of a key.

Parameters:
  `key` - The key.
Returns:
  The value.

### getString

String getString(String key)
Gets the char* value of a key.

Parameters:
  `key` - The key.
Returns:
  The value.

### hasKey

int hasKey(String key)
Search if the key is present in the dictionary.

Parameters:
  `key` - The key.
Returns:
  The LinphoneStatus of the operation.

### remove

int remove(String key)
Removes the pair of the key.

Parameters:
  `key` - The key.
Returns:
  The LinphoneStatus of the operation.

### setBuffer

void setBuffer(String key, Buffer value)
Sets a LinphoneBuffer value to a key.

Parameters:
  `key` - The key.
  `value` - The LinphoneBuffer value.

### setFloat

void setFloat(String key, float value)
Sets a float value to a key.

Parameters:
  `key` - The key.
  `value` - The int value.

### setInt

void setInt(String key, int value)
Sets a int value to a key.

Parameters:
  `key` - The key.
  `value` - The int value.

### setInt64

void setInt64(String key, int value)
Sets a int64 value to a key.

Parameters:
  `key` - The key.
  `value` - The int64 value.

### setString

void setString(String key, String value)
Sets a char* value to a key.

Parameters:
  `key` - The key.
  `value` - The value.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`